PHP Manual
Prev |  | Next

# SoapClient->__getLastResponse()

(no version information, might be only in CVS)

SoapClient->__getLastResponse() -- Returns last SOAP response.

## Description

class SoapClient {
string __getLastResponse ( void )
}

> Note: This method works only if the SoapClient object was created with the trace option.

## Return Values

The last SOAP response.

## Examples

Example 1. SoapClient->__getLastResponse() example

`<?php $client = SoapClient("some.wsdl", array('trace' => 1)); $result = $client->SomeFunction(); echo "RESPONSE:\n" . $client->__getLastResponse() . "\n"; ?>`

## See Also

SoapClient->__construct()
SoapClient->__getLastResponseHeaders()
SoapClient->__getLastRequest()
SoapClient->__getLastRequestHeaders()

Prev | Home | Next
SoapClient->__getLastRequestHeaders() | Up | SoapClient->__getLastResponseHeaders()